Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hssf.record
Class MulRKRecord

    java.lang.Object
      org.apache.poi.hssf.record.RecordBase
          org.apache.poi.hssf.record.Record
              org.apache.poi.hssf.record.StandardRecord
                  org.apache.poi.hssf.record.MulRKRecord

    public final class MulRKRecord

extends StandardRecord

MULRK (0x00BD)

Used to store multiple RK numbers on a row. 1 MulRk = Multiple Cell values. HSSF just converts this into multiple NUMBER records. READ-ONLY SUPPORT!

REFERENCE: PG 330 Microsoft Excel 97 Developer's Kit (ISBN: 1-57231-498-2)

Version:
  2.0-pre
Author:
  Andrew C. Oliver (acoliver at apache dot org)

Field Summary
`static short` | `sid`

Constructor Summary
`MulRKRecord(RecordInputStream in)`

Method Summary
`protected int` | `getDataSize()`
`short` | `getFirstColumn()` starting column (first cell this holds in the row)
`short` | `getLastColumn()` ending column (last cell this holds in the row)
`int` | `getNumColumns()` get the number of columns this contains (last-first +1)
`double` | `getRKNumberAt(int coffset)` returns the rk number for column (coffset = column - field_2_first_col)
`int` | `getRow()`
`short` | `getSid()` return the non static version of the id for this record.
`short` | `getXFAt(int coffset)` returns the xf index for column (coffset = column - field_2_first_col)
`void` | `serialize(LittleEndianOutput out)` Write the data content of this BIFF record.
`java.lang.String` | `toString()` get a string representation of the record (for biffview/debugging)

Methods inherited from class org.apache.poi.hssf.record.StandardRecord
`getRecordSize, serialize`

Methods inherited from class org.apache.poi.hssf.record.Record
`clone, cloneViaReserialise, serialize`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### sid

    public static final short sid

See Also:
  Constant Field Values

Constructor Detail

### MulRKRecord

    public MulRKRecord(RecordInputStream in)

Parameters:
  `in` - the RecordInputstream to read the record from

Method Detail

### getRow

    public int getRow()

### getFirstColumn

    public short getFirstColumn()

  starting column (first cell this holds in the row)

  Returns:
    first column number

### getLastColumn

    public short getLastColumn()

  ending column (last cell this holds in the row)

  Returns:
    first column number

### getNumColumns

    public int getNumColumns()

  get the number of columns this contains (last-first +1)

  Returns:
    number of columns (last - first +1)

### getXFAt

    public short getXFAt(int coffset)

  returns the xf index for column (coffset = column - field_2_first_col)

  Returns:
    the XF index for the column

### getRKNumberAt

    public double getRKNumberAt(int coffset)

  returns the rk number for column (coffset = column - field_2_first_col)

  Returns:
    the value (decoded into a double)

### toString

    public java.lang.String toString()

  Description copied from class: `Record`
  get a string representation of the record (for biffview/debugging)

  Overrides:
    `toString` in class `Record`

### getSid

    public short getSid()

  Description copied from class: `Record`
  return the non static version of the id for this record.

  Specified by:
    `getSid` in class `Record`

### serialize

    public void serialize(LittleEndianOutput out)

  Description copied from class: `StandardRecord`
  Write the data content of this BIFF record. The 'ushort sid' and 'ushort size' header fields have already been written by the superclass.
  The subclass must write the exact number of bytes as reported by `RecordBase.getRecordSize()`}

  Specified by:
    `serialize` in class `StandardRecord`

### getDataSize

    protected int getDataSize()

  Specified by:
    `getDataSize` in class `StandardRecord`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2010 The Apache Software Foundation or its licensors, as applicable.